    Gaussian function for modeling emission (log of fwhm).

logemission

It is for use when the independent axis is in Angstroms.

>>> create_model_component("logemission", "mdl")
>>> print(mdl)

Create a component of the logemission model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 100 1.17549e-38 3.40282e+38 km/s mdl.pos frozen 5000 1.17549e-38 3.40282e+38 angstroms mdl.flux thawed 1 -3.40282e+38 3.40282e+38 mdl.skew frozen 1 1.17549e-38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The full-width half-maximum of the model in km/s.
pos
The center of the gaussian, in Angstroms.
flux
The normalisation of the gaussian.
skew
The skew of the gaussian.

Notes

The functional form of the model for points is:

f(x) = fmax * (x / pos)^arg if x <= pos

fmax * (x / pos)^(-alpha) otherwise

arg = log(2) / log(1 + 0.5 * fwhm / c)

arg1 = log(2) / log(1 + 0.5 * skew * fwhm / c)

alpha = arg if skew == 1

= arg1 otherwise

fmax = (arg - 1) * flux / (2 * pos) if skew == 1

= (arg - 1) * flux / (pos * (1 + (arg - 1) / (arg1 - 1)))

otherwise

c = 2.9979e5

and for integrated data sets the low-edge of the grid is used.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023